> ## Documentation Index
> Fetch the complete documentation index at: https://developers.artport.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Address

### Overview

This endpoint can be used to create a new address.

Endpoint: `/api/v1/addresses`

Method: `POST`

<Warning>
  It is critically important that you [verify the address](/guide/api/addresses/verify) before creating it.

  Failure to verify the address may result in loss or delayed shipments.

  You may also be **charged** should address correction be necessary by the carrier.
</Warning>

### Request

<ResponseField name="name" type="string" required>
  For example, "John Smith" or "Acme Products".

  Minimum character length: `2`

  Maximum character length: `50`
</ResponseField>

<ResponseField name="email" type="string" required>
  The contact email address.

  Carriers may send one or more shipment tracking notifications to this email address.

  Minimum character length: `6`

  Maximum character length: `100`
</ResponseField>

<ResponseField name="phone" type="string" required>
  The contact phone number.

  This must be formatted using the [E.164 standard](/guide/concepts/formatting#phone-numbers).

  Minimum character length: `7`

  Maximum character length: `30`
</ResponseField>

<ResponseField name="line_1" type="string" required>
  Line 1 of the address.

  Minimum character length: `2`

  Maximum character length: `35`
</ResponseField>

<ResponseField name="line_2" type="string">
  Line 2 of the address.

  Minimum character length: `2`

  Maximum character length: `35`
</ResponseField>

<ResponseField name="city" type="string" required>
  The address' town or city.

  Minimum character length: `2`

  Maximum character length: `35`
</ResponseField>

<ResponseField name="region" type="string" required>
  The address' state, province, or region.

  Minimum character length: `2`

  Maximum character length: `30`
</ResponseField>

<ResponseField name="post_code" type="string" required>
  The address' post code.

  Minimum character length: `2`

  Maximum character length: `16`
</ResponseField>

<ResponseField name="country" type="integer" required>
  A [Country](/guide/enums/countries) enum representing the address' country.
</ResponseField>

### Response

If the address is successfully created, the API will return a `201 Created` status code.

The response will contain the following content:

<ResponseField name="id" type="integer" required>
  The ID of the newly created address.
</ResponseField>

<RequestExample>
  ```json Example Request Body Structure theme={"system"}
  {
      "name": "Kohler Group",
      "email": "parisian.kristoffer@yahoo.com",
      "phone": "+12069536978",
      "line_1": "193 Dach Shores Suite 632",
      "line_2": "Apt. 300",
      "city": "Moenburgh",
      "region": "Colorado",
      "post_code": "72099",
      "country": 1,
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={"system"}
  {
      "id": 10012
  }
  ```
</ResponseExample>
